javax.faces.webapp

## Class AttributeTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.faces.webapp.AttributeTag

- All Implemented Interfaces:
    Serializable, IterationTag, JspTag, Tag

  Deprecated.
  The Faces implementation must now provide the implementation for this class.

      public class AttributeTag
      extends TagSupport

  Tag implementation that adds an attribute with a specified name and String value to the component whose tag it is nested inside, if the component does not already contain an attribute with the same name. This tag creates no output to the page currently being created.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeTag()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()` Deprecated. Default processing of the end tag returning EVAL_PAGE.
    `int` | `doStartTag()` Deprecated. Register the specified attribute name and value with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if this `UIComponent` does not already have a value for the specified attribute name.
    `void` | `release()` Deprecated. Release references to any acquired resources.
    `void` | `setName(String name)` Deprecated. Set the attribute name.
    `void` | `setValue(String value)` Deprecated. Set the attribute value.

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeTag

          public AttributeTag()

      Deprecated.

  - ### Method Detail

    - #### setName

          public void setName(String name)

      Deprecated.

      Set the attribute name.

      Parameters:
        `name` - The new attribute name

    - #### setValue

          public void setValue(String value)

      Deprecated.

      Set the attribute value.

      Parameters:
        `value` - The new attribute value

    - #### doStartTag

          public int doStartTag()
                         throws JspException

      Deprecated.

      Register the specified attribute name and value with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if this `UIComponent` does not already have a value for the specified attribute name.

      Specified by:
        `doStartTag` in interface `Tag`
      Overrides:
        `doStartTag` in class `TagSupport`
      Returns:
        SKIP_BODY
      Throws:
        `JspException` - if a JSP error occurs
      See Also:
        `Tag.doStartTag()`

    - #### doEndTag

          public int doEndTag()
                       throws JspException

      Deprecated.
      Description copied from class: `TagSupport`
      Default processing of the end tag returning EVAL_PAGE.
      Specified by:
        `doEndTag` in interface `Tag`
      Overrides:
        `doEndTag` in class `TagSupport`
      Returns:
        EVAL_PAGE
      Throws:
        `JspException` - if an error occurs while processing this tag
      See Also:
        `Tag.doEndTag()`

    - #### release

          public void release()

      Deprecated.

      Release references to any acquired resources.

      Specified by:
        `release` in interface `Tag`
      Overrides:
        `release` in class `TagSupport`
      See Also:
        `Tag.release()`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.